Skip to main content
POST
Search customer contacts

Authorizations

X-SALESBRICKS-KEY
string
header
required

API key for authentication

Query Parameters

limit
integer

Number of results to return per page.

offset
integer

The initial index from which to return the results.

Body

Input serializer for person search requests. Note: Pagination (limit/offset) is handled via query params, not POST body.

email
string

Search by email (case-insensitive substring match)

first_name
string

Search by first name (case-insensitive substring match)

last_name
string

Search by last name (case-insensitive substring match)

customer_id
string<uuid>

Filter persons by their associated customer ID

Response

count
integer
required

Total number of results across all pages

Example:

123

results
object[]
required

The results on this page

next
string<uri> | null

URL of the next page of results, or null on the last page

Example:

"http://api.example.org/accounts/?offset=400&limit=100"

previous
string<uri> | null

URL of the previous page of results, or null on the first page

Example:

"http://api.example.org/accounts/?offset=200&limit=100"